Wayfire has a screensaver and dpms option. These may be configured by editing `.config/wayfire.ini`.

```
[idle]
screensaver_timeout = <timeout_screensaver>
dpms_timeout = <timeout_dpms>
```

Logically, `timeout_dpms` > `timeout_screensaver`.

`gtklock` is used as lockscreen, since it nicely matches the `gtkgreet` login manager.

```
# xbps-install -Sy gtklock
```

`gtklock` can be configured with the same `css` file as `gtkgreet`. Thereby:

```
# ln -s /etc/greetd/config/gtkgreet.css .config/gtklock/style.css
```

To initiate `gtklock` before sleep and after a certain time, `swayidle` may be used.

```
# xbps-install -Sy swayidle
```

Then, in `.config/wayfire.ini` gtklock may be started with the given conditions:

```
[autostart]
idle = swayidle -w timeout 590 gtklock before-sleep gtklock
```
